2023-08-29 v1.6.1 Mark Grant <m.grant.prg@gmail.com>
	* at: Upgrade bootstrap.sh to v1.5.7
	bootstrap: Assign array to array
	bootstrap: Remove unquoting quotes
	bootstrap: Do not mask return value
	bootstrap: Fix local readonly var
	bootstrap: $/${} unnecessary on arithmetic variables
	bootstrap: Do not warn of unreachable commands in trap functions
	bootstrap: Double quote to prevent globbing and word splitting
	acmbuild: Do not warn of unreachable code in trap function
	acmbuild: Double quote to prevent globbing and word splitting
	acmbuild: Allow unused variables

2023-08-01 v1.6.0 Mark Grant <m.grant.prg@gmail.com>
	* at: Add support for ~ in version numbers
	actions: Delete txt2man install, rely on dependencies
	lxcu: Delete txt2man, rely on dependencies
	lxcu: Add in-file help text
	actions: Run on jammy
	man: Update

2023-03-13 v1.5.2 Mark Grant <m.grant.prg@gmail.com>
	* at: Upgrade bootstrap.sh to v1.5.6
	actions: Run on ubuntu-latest
	at: Add 3 warning checks for possible run-time executables
	bash: man: Add support for clang's scan-build
	bash: Fix conditional for cc when iwyu is selected

2023-03-06 v1.5.1 Mark Grant <m.grant.prg@gmail.com>
	* at: Update bootstrap.sh to v1.5.5
	bash: Add configure enable-iwyu CLA
	bash: configure must use clang for iwyu
	git: Update mailmap to v1.0.3
	git: Update gitignore to v1.0.11
	git: Update gitattributes to v1.0.4
	editors: Update editorconfig to v1.0.4
	actions: Run on focal
	at: Use AC_MSG_CHECKING where appropriate
	at: Use AC_CONFIG_AUX_DIR

2022-09-07 v1.4.4 Mark Grant <m.grant.prg@gmail.com>
	* at: Upgrade bootstrap.sh to v1.5.4
	bash: Add missing $verbosemake to iwyu make CL

2022-09-01 v1.4.3 Mark Grant <m.grant.prg@gmail.com>
	* at: Upgrade bootstrap.sh to v1.5.3
	bash: Allow --CC option with -i

2022-08-29 v1.4.2 Mark Grant <m.grant.prg@gmail.com>
	* at: Upgrade bootstrap.sh to v1.5.2
	bash: Add option i for clang's include-what-you-use
	bash: Add --CC option to select compiler
	git: Update gitignore to v1.0.8
	editors: Add editorconfig file v1.0.3

2022-06-07 v1.4.1 Mark Grant <m.grant.prg@gmail.com>
	* at: Update bootstrap.sh to v1.5.1
	bash: Add compiler analyzer option A analyzer
	git: Update gitattributes to v1.0.3

2021-11-21 v1.3.13 Mark Grant <m.grant.prg@gmail.com>
	* at: Upgrade bootstrap.sh to v1.4.10
	at: Add AC_COPYRIGHT macro
	all: Tighten SPDX tags
	git: Update mailmap to v1.0.2
	git Update gitignore to v1.0.7
	git: Update gitattributes to v1.0.2
	at: Use git to enhance package version
	at: Add misc directory to DIST
	lxcu: Add support for openSUSE
	lxcu: Add support for Fedora

2021-05-31 v1.3.12 Mark Grant <m.grant.prg@gmail.com>
	* at: Upgrade bootstrap.sh to v1.4.9
	man: Change config-menu to say dialog AOT whiptail
	Use temp file for configurable-options.sh result
	proc_menuconfig() before tee and build log
	git: Add gitattributes file
	git: Add mailmap file

2021-04-19 v1.3.11 Mark Grant <m.grant.prg@gmail.com>
	* at: Update bootstrap.sh to v1.4.8
	bash: Add ability to run configuration script
	travis: Stop using Travis
	actions: Initial build action setup
	at: lxcu: Add lxc test build setup
	travis: Bionic is the new minimum release
	acmbuild.sh script still at version 1.0.3
	bootstrap.sh script now at version 1.4.8

2020-06-12 v1.3.10 Mark Grant <m.grant.prg@gmail.com>
	*  at: Tighten configure required program checks.
	README: Correct git am to git archive.
	acmbuild.sh script still at version 1.0.3
	bootstrap.sh script still at version 1.4.7

2019-12-01 v1.3.9 Mark Grant <m.grant.prg@gmail.com>
	*  Update bootstrap.sh to version 1.4.7
	Add CL option -p[X] --parallel-jobs[=X]
	acmbuild.sh script still at version 1.0.3
	bootstrap.sh script now at version 1.4.7

2019-10-28 v1.3.8 Mark Grant <m.grant.prg@gmail.com>
	*  Update bootstrap.sh to version 1.4.6
	bash: Use unquoted variable for file test
	bash: Move script_exit() before it is used
	acmbuild.sh script still at version 1.0.3
	bootstrap.sh script now at version 1.4.6

2019-09-19 v1.3.7 Mark Grant <m.grant.prg@gmail.com>
	*  travis: Reinstate default build environment
	at: configure: Correct ARG_ENABLE message format
	at: configure: Correct ARG_ENABLE help text
	acmbuild.sh script still at version 1.0.3
	bootstrap.sh script still at version 1.4.5

2019-06-25 v 1.3.6 Mark Grant <m.grant.prg@gmail.com>
	*  Update bootstrap.sh to version 1.4.5
	Remove distcheckfake option
	at: Set configure args for distcheck in top makefile
	at: configure.ac: Improve header CLA comments
	acmbuild.sh script still at version 1.0.3
	bootstrap.sh script now at version 1.4.5

2019-06-20 v 1.3.5 Mark Grant <m.grant.prg@gmail.com>
	*  Initial setup for project build testing at Travis-CI.
	Update project root gitignore to v1.0.2
	README: Add -K --check option to run make check.
	acmbuild.sh script still at version 1.0.3
	bootstrap.sh script still at version 1.4.4

2019-06-18 v 1.3.4 Mark Grant <m.grant.prg@gmail.com>
	*  Update bootstrap.sh to version 1.4.4
	Add -K --check option to run make check.
	acmbuild.sh script still at version 1.0.3
	bootstrap.sh script now at version 1.4.4

2019-05-01 v 1.3.3 Mark Grant <m.grant.prg@gmail.com>
	*  Update bootstrap.sh to version 1.4.3
	Improve description and example in documents
	Ensure args passed to other commands are inputised
	Correct getopt CL build WRT quoting
	acmbuild.sh script still at version 1.0.3
	bootstrap.sh script now at version 1.4.3

2019-04-05 v 1.3.2 Mark Grant <m.grant.prg@gmail.com>
	*  Update bootstrap.sh to version 1.4.2
	Setup trap as early as possible.
	Just execute the getopt command AOT using eval.
	acmbuild.sh script now at version 1.0.3
	bootstrap.sh script now at version 1.4.2

2019-03-24 v 1.3.1 Mark Grant <m.grant.prg@gmail.com>
	*  Update bootstrap.sh to version 1.4.1
	Re-vamp configure.ac to new standard layout
	Implement testing-hacks configure option
	Update man page with latest functionality
	Improve project explanation in README
	Install bootstrap.sh in pkglibexecdir
	Use (( ... )) where appropriate in bash scripts
	Install standard GNU files eg AUTHOR etc
	Correct package versioning
	Replace #! env bash with absolute path from configure
	bootstrap.sh: Add missing error check after getopt
	Remove unnecessary shebangs from Makefile.am's
	README: Add Copyright statement
	bootstrap.sh: Pass non-option args to configure command line
	Add -t --testing-hacks option
	Add -a --at-only option
	Tidy up local / global variables
	Introduce more meaningful exit codes
	Re-factor into functions
	Use more standardised printf AOT echo
	Improve trap exit code handling
	Remove script_exit_code variable
	Use more powerful and neater [[ .. ]] style in bash scripts
	Use -true- booleans
	Style if, for and while loops after C
	acmbuild.sh script now at version 1.0.3
	bootstrap.sh script now at version 1.4.1

2018-10-27 v 1.2.13 Mark Grant <m.grant.prg@gmail.com>
	*  srctarball to use -src- in filename
	acmbuild.sh script still at version 1.0.1
	bootstrap.sh script still at version 1.3.7

2018-10-17 v 1.2.12 Mark Grant <m.grant.prg@gmail.com>
	*  Add markdown symlink to README.
	Beautify README for GitHub markdown presentation.
	Modify README to refer to new wiki.
	acmbuild.sh script still at version 1.0.1
	bootstrap.sh script still at version 1.3.7

2018-08-23 v 1.2.11 Mark Grant <m.grant.prg@gmail.com>
	*  Add verbose option.

2018-08-06 v 1.2.10 Mark Grant <m.grant.prg@gmail.com>
	*  Add -H --header-check option. This passes --enable-headercheck=yes
	to configure which can then make a variable available to Makefiles to
	invoke the compiler with the -H option to display included files and
	their depth in the include stack.
	Make the error log into a plain build log as output can be large.

2018-07-02 v 1.2.9 Mark Grant <m.grant.prg@gmail.com>
	*  Separate configure and make stages.
	Make options more standard.
	Update bootstrap.sh script to the latest version 1.3.5
	acmbuild.sh script still at version 1.0.1
	bootstrap.sh script now at version 1.3.5

2018-04-09 v 1.2.8 Mark Grant <m.grant.prg@gmail.com>
	*  Add instructions for using source and dist tarballs to the README
	file.

2018-04-07 v 1.2.7 Mark Grant <m.grant.prg@gmail.com>
	*  Enhance the README file.

2018-04-07 v 1.2.6 Mark Grant <m.grant.prg@gmail.com>
	*  Update this project bootstrap.sh to latest version 1.3.4.
	Add -t --source-tarball command line argument (CLA) to build a source
	tarball.
	Change package versioning to a hard-coded configure value due to use
	of source tarballs started with new use of github.
	Add a make target srctarball to make a source tarball. This can be used
	in the same way as github's source tarball enabling 1 package methodolgy
	irrespective of source repository.
	acmbuild.sh script now at version 1.0.1
	bootstrap.sh script now at version 1.3.4

2018-03-25 v 1.2.5 Mark Grant <m.grant.prg@gmail.com>
	*  Update this project bootstrap.sh to latest version 1.3.3.
	Copy stderr to ./build-stderr.txt.
	Add support for using sparse.

2018-02-20 v 1.2.4 Mark Grant <m.grant.prg@gmail.com>
	*  Standardise on misc directory.

2018-02-19 v 1.2.3 Mark Grant <m.grant.prg@gmail.com>
	*  Extract all functionality to a new bootstrap.sh script and make
	acmbuild.sh a wrapper script for it. This package still performs the
	same function but the bootstrap script can be copied to each AutoTools
	project so that contributors and users can build that project with ease.
	Add standard bootstrap script to this project itself.
	Bring project up to latest structure standard.

2017-12-04 v 1.2.2 Mark Grant <m.grant.prg@gmail.com>
	*  Adopt normal exit code policy; 0 on success, 1 on failure.
	Add SPDX license tags to source files.
	Add project-wide TODO file.
	Determine the manual section from the target file suffix. If the
	suffix is blank (foo.) or if there is no suffix (foo) then error out.
	Update man page copyright span attribution.
	acmbuild script now at version 1.2.3

2017-06-25 v 1.2.1 Mark Grant <m.grant.prg@gmail.com>
	*  Enforce 80 column rule across source files.
	acmbuild script now at version 1.2.1

2017-04-28 v 1.2.0 Mark Grant <m.grant.prg@gmail.com>
	*  Add normal diskcheck option.
	Add distcheckfake option to allow for a fixed location, (e.g. /etc).
	Rename man page source file extensions .man.in
	Rename bash source file extensions .sh.in
	Correct man page build - output from $(edit) was being ignored.
	Numerous cosmetic changes.
	acmbuild script now at version 1.2.0

2017-01-31 v 1.1.1 Mark Grant <m.grant.prg@gmail.com>
	*  Add debug, make dist and make options.

2015-10-17 v 1.0.12 Mark Grant <m.grant.prg@gmail.com>
	*  Note conformity to AutoTools General Template v1.0.6.
	Change to conform to AutoTools Template version 1.0.5.

2015-09-27 v 1.0.11 Mark Grant <m.grant.prg@gmail.com>
	*  Change to conform to AutoTools Template version 1.0.4.

2015-06-26 v 1.0.10 Mark Grant <m.grant.prg@gmail.com>
	*  Remove BSD support.

2015-03-28 v 1.0.9 Mark Grant <m.grant.prg@gmail.com>
	*  Remove BSD support.
	acmbuild script now at version 1.0.9.

2015-03-28 v 1.0.8 Mark Grant <m.grant.prg@gmail.com>
	*  Remove redundant AutoConf hashpling.
	acmbuild script now at version 1.0.8.

2014-11-24 v 1.0.7 Mark Grant <m.grant.prg@gmail.com>
	*  Add support for including overall package version in script
	--version.
	acmbuild script now at version 1.0.8.

2014-11-18 v 1.0.6 Mark Grant <m.grant.prg@gmail.com>
	*  Re-structure OS specific requirements to test for generic *BSD OSs
	and use Linux as the default.
	acmbuild script now at version 1.0.7.

2014-11-16 v 1.0.5 Mark Grant <m.grant.prg@gmail.com>
	*  Remove erroneous option.
	acmbuild script now at version 1.0.6.

2014-11-16 v 1.0.4 Mark Grant <m.grant.prg@gmail.com>
	*  Modify getopt processing to allow for FreeBSD quirk of 2 different
	getopt programs on PATH. See comments in script at the start of "Main".
	acmbuild script now at version 1.0.5.

2014-11-13 v 1.0.3 Mark Grant <m.grant.prg@gmail.com>
	* Switch to use of GNU getopt to allow long options and implement them.
	acmbuild script now at version 1.0.4.

2014-10-27 v 1.0.2 Mark Grant <m.grant.prg@gmail.com>
	* Improve use of git describe.
	Change name to AutoConf and make.
	Separate commands in order to check exit status.

2014-06-25 v 1.0.1 Mark Grant <m.grant.prg@gmail.com>
	* Initial release.
